Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class MDDataIdentification

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.MDDataIdentification

    public class MDDataIdentification

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}citation"/>
             <element ref="{http://www.isotc211.org/2005/gmd}abstract"/>
             <element ref="{http://www.isotc211.org/2005/gmd}pointOfContact"/>
             <element ref="{http://www.isotc211.org/2005/gmd}descriptiveKeywords"/>
             <element ref="{http://www.isotc211.org/2005/gmd}resourceConstraints" maxOccurs="unbounded"/>
             <element ref="{http://www.isotc211.org/2005/gmd}spatialResolution"/>
             <element ref="{http://www.isotc211.org/2005/gmd}language"/>
             <element ref="{http://www.isotc211.org/2005/gmd}topicCategory"/>
             <element ref="{http://www.isotc211.org/2005/gmd}extent"/>
           </sequence>
           <attribute name="uuid" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Abstract` | `_abstract`
`protected Citation` | `citation`
`protected DescriptiveKeywords` | `descriptiveKeywords`
`protected Extent` | `extent`
`protected String` | `id`
`protected Language` | `language`
`protected PointOfContact` | `pointOfContact`
`protected List<ResourceConstraints>` | `resourceConstraints`
`protected SpatialResolution` | `spatialResolution`
`protected TopicCategory` | `topicCategory`
`protected String` | `uuid`

Constructor Summary
`MDDataIdentification()`

Method Summary
`Abstract` | `getAbstract()` Gets the value of the abstract property.
`Citation` | `getCitation()` Gets the value of the citation property.
`DescriptiveKeywords` | `getDescriptiveKeywords()` Gets the value of the descriptiveKeywords property.
`Extent` | `getExtent()` Gets the value of the extent property.
`String` | `getId()` Gets the value of the id property.
`Language` | `getLanguage()` Gets the value of the language property.
`PointOfContact` | `getPointOfContact()` Gets the value of the pointOfContact property.
`List<ResourceConstraints>` | `getResourceConstraints()` Gets the value of the resourceConstraints property.
`SpatialResolution` | `getSpatialResolution()` Gets the value of the spatialResolution property.
`TopicCategory` | `getTopicCategory()` Gets the value of the topicCategory property.
`String` | `getUuid()` Gets the value of the uuid property.
`void` | `setAbstract(Abstract value)` Sets the value of the abstract property.
`void` | `setCitation(Citation value)` Sets the value of the citation property.
`void` | `setDescriptiveKeywords(DescriptiveKeywords value)` Sets the value of the descriptiveKeywords property.
`void` | `setExtent(Extent value)` Sets the value of the extent property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setLanguage(Language value)` Sets the value of the language property.
`void` | `setPointOfContact(PointOfContact value)` Sets the value of the pointOfContact property.
`void` | `setSpatialResolution(SpatialResolution value)` Sets the value of the spatialResolution property.
`void` | `setTopicCategory(TopicCategory value)` Sets the value of the topicCategory property.
`void` | `setUuid(String value)` Sets the value of the uuid property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### citation

    protected Citation citation

### _abstract

    protected Abstract _abstract

### pointOfContact

    protected PointOfContact pointOfContact

### descriptiveKeywords

    protected DescriptiveKeywords descriptiveKeywords

### resourceConstraints

    protected List<ResourceConstraints> resourceConstraints

### spatialResolution

    protected SpatialResolution spatialResolution

### language

    protected Language language

### topicCategory

    protected TopicCategory topicCategory

### extent

    protected Extent extent

### uuid

    protected String uuid

### id

    protected String id

Constructor Detail

### MDDataIdentification

    public MDDataIdentification()

Method Detail

### getCitation

    public Citation getCitation()

  Gets the value of the citation property.

  Returns:
    possible object is `Citation`

### setCitation

    public void setCitation(Citation value)

  Sets the value of the citation property.

  Parameters:
    `value` - allowed object is `Citation`

### getAbstract

    public Abstract getAbstract()

  Gets the value of the abstract property.

  Returns:
    possible object is `Abstract`

### setAbstract

    public void setAbstract(Abstract value)

  Sets the value of the abstract property.

  Parameters:
    `value` - allowed object is `Abstract`

### getPointOfContact

    public PointOfContact getPointOfContact()

  Gets the value of the pointOfContact property.

  Returns:
    possible object is `PointOfContact`

### setPointOfContact

    public void setPointOfContact(PointOfContact value)

  Sets the value of the pointOfContact property.

  Parameters:
    `value` - allowed object is `PointOfContact`

### getDescriptiveKeywords

    public DescriptiveKeywords getDescriptiveKeywords()

  Gets the value of the descriptiveKeywords property.

  Returns:
    possible object is `DescriptiveKeywords`

### setDescriptiveKeywords

    public void setDescriptiveKeywords(DescriptiveKeywords value)

  Sets the value of the descriptiveKeywords property.

  Parameters:
    `value` - allowed object is `DescriptiveKeywords`

### getResourceConstraints

    public List<ResourceConstraints> getResourceConstraints()

  Gets the value of the resourceConstraints property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the resourceConstraints property.

  For example, to add a new item, do as follows:

          getResourceConstraints().add(newItem);

  Objects of the following type(s) are allowed in the list `ResourceConstraints`

### getSpatialResolution

    public SpatialResolution getSpatialResolution()

  Gets the value of the spatialResolution property.

  Returns:
    possible object is `SpatialResolution`

### setSpatialResolution

    public void setSpatialResolution(SpatialResolution value)

  Sets the value of the spatialResolution property.

  Parameters:
    `value` - allowed object is `SpatialResolution`

### getLanguage

    public Language getLanguage()

  Gets the value of the language property.

  Returns:
    possible object is `Language`

### setLanguage

    public void setLanguage(Language value)

  Sets the value of the language property.

  Parameters:
    `value` - allowed object is `Language`

### getTopicCategory

    public TopicCategory getTopicCategory()

  Gets the value of the topicCategory property.

  Returns:
    possible object is `TopicCategory`

### setTopicCategory

    public void setTopicCategory(TopicCategory value)

  Sets the value of the topicCategory property.

  Parameters:
    `value` - allowed object is `TopicCategory`

### getExtent

    public Extent getExtent()

  Gets the value of the extent property.

  Returns:
    possible object is `Extent`

### setExtent

    public void setExtent(Extent value)

  Sets the value of the extent property.

  Parameters:
    `value` - allowed object is `Extent`

### getUuid

    public String getUuid()

  Gets the value of the uuid property.

  Returns:
    possible object is `String`

### setUuid

    public void setUuid(String value)

  Sets the value of the uuid property.

  Parameters:
    `value` - allowed object is `String`

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org